/*

  GUI.js

  Specifically designed for SEMCA Cleaning Equipment

*/

.CLASS_POPUP {
  display: none;
  position: fixed;
  top: 0;
  width: 100%;
  height: 100vh;
  color: black;
}
.CLASS_POPUP_BACKDROP {
  position: fixed;
  width: 100vw;
  height: 100vh;
  background-color: black;
  opacity: 0;
  z-index: 2;
  transition: opacity 0.2s;
}
.CLASS_POPUP_WINDOW {
  display: flex;
  flex-direction: column;
  margin: auto;
  margin-bottom: 0;
  background-color: rgb(230,230,230);
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  opacity: 0;
  z-index: 3;
  user-select: none;
  box-shadow: 0 0 100px;
  transition: margin 0.2s, opacity 0.2s;
}
.CLASS_POPUP_TITLEBAR {
  display: flex;
  height: 50px;
  background-color: cornflowerblue;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  font-family: monospace;
  font-size: 30px;
}
.CLASS_POPUP_TITLEBAR span {
  display: flex;
  flex-direction: column;
  justify-content: center;
  cursor: pointer;
}
.CLASS_POPUP_TITLEBAR span:first-child {
  padding-left: 10px;
  width: calc(100% - 70px);
  margin-left: 0;
  margin-right: auto;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  cursor: auto;
}
.CLASS_POPUP_TITLEBAR span:nth-child(2), .CLASS_POPUP_TITLEBAR span:nth-child(3) {
  width: 50px!important;
}
.CLASS_POPUP_TITLEBAR span:nth-child(2) svg {

}
.CLASS_POPUP_TITLEBAR span:nth-child(2):hover rect {
  fill: skyblue;
}
.CLASS_POPUP_TITLEBAR span:last-child {

}
.CLASS_POPUP_TITLEBAR span:last-child svg {
  border-top-right-radius: 10px;
}
.CLASS_POPUP_TITLEBAR span:last-child:hover rect {
  fill: rgb(255,128,128);
}
.CLASS_POPUP_BODY {
  display: flex;
  flex-wrap: wrap;
  max-height: calc(80vh - 50px);
  border-style: solid;
  border-width: 0 3px 3px 3px;
  border-color: cornflowerblue;
  font-family: sans-serif;
}
.CLASS_POPUP_BODY input {
  font-size: 16px;
  transition: box-shadow 0.4s;
}
.CLASS_POPUP_BODY input:hover, .CLASS_POPUP_BODY input:focus {
  /* box-shadow: 0px 0px 2px black; */
}
.CLASS_POPUP_PANEL {
  display: flex;
  font-size: 16px;
  width: 100%;
  margin: 5px;
  transition: all 0.2s;
}
.CLASS_POPUP_LABEL {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.CLASS_POPUP_TEXTBOX {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.CLASS_POPUP_TEXTBOX input {
  height: 100%;
}
.CLASS_POPUP_NUMBER {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.CLASS_POPUP_NUMBER input {
  height: 100%;
}
.CLASS_POPUP_DATE {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.CLASS_POPUP_DATE input {
  height: 100%;
  width: max-content;
}

.CLASS_POPUP_BUTTON_SUBMIT {
  text-align: center;
  margin: auto;
}
.CLASS_POPUP_BUTTON_SUBMIT button {
  /* color: white; */
  border: 2px solid white;
  border-radius: 5px;
  width: auto;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}
.CLASS_POPUP_BUTTON_SUBMIT_RED button {
  color: white;
  background-color: red;
}
.CLASS_POPUP_BUTTON_SUBMIT_RED button:hover {
  background-color: rgb(255,128,128);
}
.CLASS_POPUP_BUTTON_SUBMIT_GREEN button {
  color: black;
  background-color: rgb(64,192,64);
}
.CLASS_POPUP_BUTTON_SUBMIT_GREEN button:hover {
  background-color: rgb(64,255,64);
}
.CLASS_POPUP_BUTTON_SUBMIT_BLUE button {
  color: white;
  background-color: blue;
}
.CLASS_POPUP_BUTTON_SUBMIT_BLUE button:hover {
  background-color: rgb(128,128,255);
}
.CLASS_POPUP_BUTTON_SUBMIT_WHITE button {
  color: black;
  background-color: white;
  border-color: grey;
}
.CLASS_POPUP_BUTTON_SUBMIT_WHITE button:hover {
  background-color: rgb(230,230,230);
}
.CLASS_POPUP_BUTTON_SUBMIT_BROWN button {
  color: white;
  background-color: brown;
}
.CLASS_POPUP_BUTTON_SUBMIT_BROWN button:hover {
  background-color: rgb(192,128,128);
}
.CLASS_POPUP_BUTTON_SUBMIT_ORANGE button {
  color: white;
  background-color: orange;
}
.CLASS_POPUP_BUTTON_SUBMIT_ORANGE button:hover {
  background-color: rgb(192,128,128);
}
.CLASS_POPUP_BUTTON_TILE {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.CLASS_POPUP_BUTTON_TILE button {
  width: auto;
  color: white;
  border: none;
  border-radius: 0px;
  padding: 8px;
  font-size: 16px;
  cursor: pointer;
}
.CLASS_POPUP_BUTTON_TILE_RED button {
  background-color: red;
}
.CLASS_POPUP_BUTTON_TILE_RED button:hover {
  background-color: rgb(255,128,128);
}
.CLASS_POPUP_BUTTON_TILE_GREEN button {
  background-color: rgb(0,128,0);
}
.CLASS_POPUP_BUTTON_TILE_GREEN button:hover {
  background-color: rgb(0,192,0);
}
.CLASS_POPUP_BUTTON_TILE_BLUE button {
  background-color: rgb(64,64,255);
}
.CLASS_POPUP_BUTTON_TILE_BLUE button:hover {
  background-color: rgb(128,128,255);
}
.CLASS_POPUP_BUTTON_TILE_WHITE button {
  color: black;
  background-color: white;
  border-color: grey;
}
.CLASS_POPUP_BUTTON_TILE_WHITE button:hover {
  background-color: rgb(230,230,230);
}
.CLASS_POPUP_BUTTON_TILE_BROWN button {
  background-color: brown;
}
.CLASS_POPUP_BUTTON_TILE_BROWN button:hover {
  background-color: rgb(192,128,128);
}
.CLASS_POPUP_BUTTON_TILE_ORANGE button {
  color: black;
  background-color: orange;
}
.CLASS_POPUP_BUTTON_TILE_ORANGE button:hover {
  background-color: rgb(255,192,0);
}
.CLASS_POPUP_BUTTON_BAR {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
.CLASS_POPUP_BUTTON_BAR button {
  width: 100%;
  border: 1px solid lightgrey;
  text-align: left;
  border-radius: 3px;
  padding: 5px;
  font-size: 16px;
  cursor: pointer;
}
.CLASS_POPUP_BUTTON_BAR_RED button:hover {
  border-color: red;
}
.CLASS_POPUP_BUTTON_BAR_GREEN button:hover {
  border-color: green;
}
.CLASS_POPUP_BUTTON_BAR_BLUE button:hover {
  border-color: blue;
}
.CLASS_POPUP_BUTTON_NONE {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: min-content;
}
.CLASS_POPUP_BUTTON_NONE button {
  width: min-content;
  border: none;
  padding: 0;
  border-radius: 0;
  background-color: transparent;
  text-align: left;
  font-size: 16px;
  cursor: pointer;
}

.CLASS_POPUP_CHECKBOX {
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* width: 54px;
  max-width: 54px;
  min-width: 54px;
  height: 28px;
  max-height: 28px;
  min-height: 28px;
  border-radius: 28px;
  background-color: grey;
  transition: all 0.3s;
  cursor: pointer; */
}
.CLASS_POPUP_CHECKBOX div {
  width: 54px;
  max-width: 54px;
  min-width: 54px;
  height: 28px;
  max-height: 28px;
  min-height: 28px;
  border-radius: 28px;
  background-color: grey;
  transition: all 0.3s;
  cursor: pointer;
}
.CLASS_POPUP_CHECKBOX input {
  visibility: hidden;
}
.CLASS_POPUP_CHECKBOX label {
  position: relative;
  display: inline-block;
  left: -16px;
  top: 4px;
  width: 20px;
  height: 20px;
  border-radius: 10px;
  background-color: white;
  transition: all 0.3s;
  cursor: pointer;
}
.CLASS_POPUP_CHECKBOX input:checked + label {
  left: 8px;
}

.CLASS_POPUP_COMBOBOX select {
	font-size: 16px;
	font-family: sans-serif;
	color: #444;
	line-height: 1.3;
	padding: .6em 1.4em .5em .8em!important;
  width: 100%;
	max-width: 100%;
  height: 100%;
	box-sizing: border-box;
	margin: 0;
	border: 1px solid #aaa;
	box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
	-moz-appearance: none;
	-webkit-appearance: none;
	appearance: none;
	background-color: #fff;
	background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
	  linear-gradient(to bottom, #ffffff 0%,#e5e5e5 100%);
	background-repeat: no-repeat, repeat;
	background-position: right 0.5em top 50%, 0 0;
	background-size: .65em auto, 100%;
}
.CLASS_POPUP_COMBOBOX select::-ms-expand {
	display: none;
}
.CLASS_POPUP_COMBOBOX select:hover {
	border-color: #888;
}
.CLASS_POPUP_COMBOBOX select:focus {
	border-color: #aaa;
	color: #222;
	outline: none;
}
.CLASS_POPUP_COMBOBOX select option {
	font-weight:normal;
}

.CLASS_POPUP_TEXTAREA {
  display: flex;
  width: 100%;
}
.CLASS_POPUP_TEXTAREA textarea {
  width: 100%;
  resize: none;
}

.CLASS_POPUP_LISTBOX {
  display: flex;
  flex-direction: column;
  padding: 5px;
  width: 100%;
  background-color: white;
  overflow-y: scroll;
}
.CLASS_POPUP_LISTBOX span {
  display: flex;
  padding: 3px;
  cursor: pointer;
}
.CLASS_POPUP_LISTBOX span:hover {
  background-color: lightgrey;
}
.CLASS_POPUP_LISTBOX .selected_item {
  background-color: #bfd6ff;
}

.CLASS_POPUP input {
  outline: none;
}

.CLASS_POPUP_IMAGE {
  position: relative;
  width: 100%;
}
.CLASS_POPUP_IMAGE img {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  border: none;
  image-orientation: from-image;
  object-fit: contain;
}

.CLASS_POPUP_IFRAME {
  display: flex;
  background-color: white;
}
.CLASS_POPUP_IFRAME iframe {
  width: 100%;
  height: 100%;
  border: none;
}

.CLASS_POPUP_TEXTDISPLAY {
  display: flex;
  background-color: white;
}
.CLASS_POPUP_TEXTDISPLAY pre {
  width: calc(100% - 20px);
  height: calc(100% - 20px);
  margin: 0;
  padding: 10px;
  overflow-y: scroll;
}

.CLASS_POPUP_SPINNER {
  width: 50px;
  height: 50px;
  border-top: 2px solid white;
  animation: ANIM_POPUP_SPIN 1s;
}
@ANIM_POPUP_SPIN {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
